summaryrefslogtreecommitdiff
path: root/qa/029
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/029
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/029')
-rwxr-xr-xqa/02949
1 files changed, 49 insertions, 0 deletions
diff --git a/qa/029 b/qa/029
new file mode 100755
index 0000000..b2e59a2
--- /dev/null
+++ b/qa/029
@@ -0,0 +1,49 @@
+#! /bin/sh
+# PCP QA Test No. 029
+# pmTrimNameSpace() exerciser
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+# Note that pmTrimNameSpace would not be used much any
+# more since pcp2.0 with pmns in archives.
+# However, still provided in API.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+#
+# Get rid of some new sample metrics which
+# would make the test vary.
+# Can do this since the point of the test is
+# testing out pmTrimNameSpace
+# --tes
+#
+_filter()
+{
+ sed \
+ -e '/sample\.dynamic/d' \
+ -e '/sample\.many/d' \
+ -e '/sample\.bigid/d' \
+ -e '/sample\.byte_/d' \
+ -e '/sample\.kbyte_/d' \
+ -e '/sample\.datasize/d' \
+ -e '/sample\.darkness/d' \
+ -e '/sample\.secret/d' \
+
+}
+
+
+# real QA test starts here
+pmdumplog -d src/foo | _sort_pmdumplog_d
+
+echo ""
+src/chktrim src/foo | _filter \
+| LC_COLLATE=POSIX sort